---
lang: en
title: 'API docs: rest.restbindings.sequenceactions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.restbindings.sequenceactions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestBindings](./rest.restbindings.md) &gt; [SequenceActions](./rest.restbindings.sequenceactions.md)

## RestBindings.SequenceActions namespace

Bindings for potential actions that could be used in a sequence

**Signature:**

```typescript
namespace SequenceActions 
```

## Variables

<table><thead><tr><th>

Variable


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[FIND\_ROUTE](./rest.restbindings.sequenceactions.find_route.md)


</td><td>

Binding key for setting and injecting a route finding function


</td></tr>
<tr><td>

[INVOKE\_METHOD](./rest.restbindings.sequenceactions.invoke_method.md)


</td><td>

Binding key for setting and injecting a controller route invoking function


</td></tr>
<tr><td>

[INVOKE\_MIDDLEWARE](./rest.restbindings.sequenceactions.invoke_middleware.md)


</td><td>

Binding key for setting and injecting `invokeMiddleware` function


</td></tr>
<tr><td>

[LOG\_ERROR](./rest.restbindings.sequenceactions.log_error.md)


</td><td>

Binding key for setting and injecting an error logging function


</td></tr>
<tr><td>

[PARSE\_PARAMS](./rest.restbindings.sequenceactions.parse_params.md)


</td><td>

Binding key for setting and injecting a parameter parsing function


</td></tr>
<tr><td>

[REJECT](./rest.restbindings.sequenceactions.reject.md)


</td><td>

Binding key for setting and injecting a bad response writing function


</td></tr>
<tr><td>

[SEND](./rest.restbindings.sequenceactions.send.md)


</td><td>

Binding key for setting and injecting a response writing function


</td></tr>
</tbody></table>


